summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Matteo Bernardini2019-03-05 18:05:41 +0100
committer Matteo Bernardini2019-08-10 07:04:36 +0200
commit591164c468c0d999fb225198144f9fe7b12cf2b7 (patch)
treeacf86ad84300b847c222e3b9a2aeddf6aa337dd9
parent4b75a86e141dc33934610bafa3feef16dd33e1b3 (diff)
downloadslackbuilds-dahdi-complete.tar.gz
system/dahdi-complete: Updated for version 3.0.0.dahdi-complete
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--system/dahdi-complete/dahdi-complete.SlackBuild17
-rw-r--r--system/dahdi-complete/dahdi-complete.info6
2 files changed, 15 insertions, 8 deletions
diff --git a/system/dahdi-complete/dahdi-complete.SlackBuild b/system/dahdi-complete/dahdi-complete.SlackBuild
index c6984aae30..bbfbde084c 100644
--- a/system/dahdi-complete/dahdi-complete.SlackBuild
+++ b/system/dahdi-complete/dahdi-complete.SlackBuild
@@ -10,7 +10,7 @@
# All rights reserved.
PRGNAM=dahdi-complete
-VERSION=${VERSION:-2.10.2}
+VERSION=${VERSION:-3.0.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -61,16 +61,19 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-sed -i -e 's/ -Werror//' tools/acinclude.m4 tools/xpp/Makefile
-sed -i -e 's/-Werror //' tools/Makefile
+sed -i -e 's/ -Werror//' tools/acinclude.m4 tools/xpp/Makefile.am
+sed -i -e 's/-Werror //' tools/Makefile.am
# Fix Perl install location (otherwise it installs to /usr/local/share/perl5)
-sed -i -e 's/sitelib/vendorlib/' linux/build_tools/live_dahdi tools/xpp/Makefile
+sed -i -e 's/sitelib/vendorlib/' linux/build_tools/live_dahdi tools/xpp/Makefile.am
cd linux
make all
cd ../tools
+./bootstrap.sh
+autoreconf -fi
+CPPFLAGS="-I$(pwd)/../linux/include" \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -88,6 +91,10 @@ make install DESTDIR=$PKG
cd ..
make config DESTDIR=$PKG
+mkdir -p $PKG/usr/share/perl5/vendor_perl
+mv $PKG/usr/local/share/perl5/* $PKG/usr/share/perl5/vendor_perl/
+rm -fR $PKG/usr/local
+
# move config files to .new
cd $PKG/etc
for file in $(find . -type f); do
@@ -103,7 +110,7 @@ find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
# Clean up zero-length firmware files
-find $PKG/lib/firmware -size 0 -delete
+find $PKG/lib/firmware -size 0 -delete || true
# Remove unused directory
rm -rf $PKG/usr/lib
diff --git a/system/dahdi-complete/dahdi-complete.info b/system/dahdi-complete/dahdi-complete.info
index 545f353e9a..1c53349c2a 100644
--- a/system/dahdi-complete/dahdi-complete.info
+++ b/system/dahdi-complete/dahdi-complete.info
@@ -1,8 +1,8 @@
PRGNAM="dahdi-complete"
-VERSION="2.10.2"
+VERSION="3.0.0"
HOMEPAGE="http://www.asterisk.org/downloads/dahdi"
-DOWNLOAD="http://downloads.asterisk.org/pub/telephony/dahdi-linux-complete/releases/dahdi-linux-complete-2.10.2+2.10.2.tar.gz"
-MD5SUM="9b5ae61dc6202b45284d71481ec758c0"
+DOWNLOAD="http://downloads.asterisk.org/pub/telephony/dahdi-linux-complete/releases/dahdi-linux-complete-3.0.0+3.0.0.tar.gz"
+MD5SUM="0e0a7f18bda5f97dcd22369645234231"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""